Download it now!
Bug 88903 - COLOR PICKER: Automatic button not correctly showing its state
Summary: COLOR PICKER: Automatic button not correctly showing its state
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.beta2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Color-Picker-Widget
  Show dependency treegraph
 
Reported: 2015-01-29 14:12 UTC by V Stuart Foote
Modified: 2019-01-11 03:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Color picker automatic button active and selected (30.84 KB, image/png)
2015-01-29 14:32 UTC, V Stuart Foote
Details
Color picker automatic button not active but selected (31.01 KB, image/png)
2015-01-29 14:34 UTC, V Stuart Foote
Details

Note You need to log in before you can comment on or make changes to this bug.
Description V Stuart Foote 2015-01-29 14:12:50 UTC
There is a problem now with the dropdown color picker. While attached to the toolbar the Automatic button always shows as selected--even when a color selection has been made and is shown in the color bar under the tool button.

But when torn away and floating, a color selection refreshes the Automatic button to a correct state and changes the color preview on the toolbar button. And selection of Automatic

On Windows 7 sp1, en-US with
Version: 4.5.0.0.alpha0+
Build ID: 802b80fcd378d5788adff1c7c98af526651a30c2
TinderBox: Win-x86@39, Branch:master, Time: 2015-01-25_10:20:28
Locale: en_US
Comment 1 V Stuart Foote 2015-01-29 14:24:44 UTC
Just checked and its had this glitch for some time, not a recent issue.

Version: 4.4.0.0.beta2
Build ID: be92f32b8f21603a6b7a75dd645f7475bdee519d
Locale: en_US
Comment 2 V Stuart Foote 2015-01-29 14:32:45 UTC
Created attachment 112917 [details]
Color picker automatic button active and selected
Comment 3 V Stuart Foote 2015-01-29 14:34:26 UTC
Created attachment 112918 [details]
Color picker automatic button not active but selected

Note green color has been selected and shows under tool button, but that Automatic button still shows as active--would a radio button be more appropriate?
Comment 4 Adolfo Jayme 2015-04-01 16:13:05 UTC
(In reply to V Stuart Foote from comment #3)
> would a radio button be more appropriate?

Buttons have a pressed state to indicate this. Radio icons are usually used in menus, not in buttons.
Comment 5 V Stuart Foote 2015-04-01 17:12:49 UTC
(In reply to Adolfo Jayme from comment #4)
> > would a radio button be more appropriate?
> 
> Buttons have a pressed state to indicate this. Radio icons are usually used
> in menus, not in buttons.

OK, but as the color picker is structured, the Automatic and Custom color... buttons look more like menus items.  In either case, the selected state for the Automatic button is just too muted--hence my suggestion for a more obvious radio button (or maybe a checkbox).

And, when not torn away from the toolbar, difficult to tell if the Automatic button is selected or if a specific color has been picked from the pallet.  

The only indication while the picker is docked of whether in automatic mode or having a selected color is the empty color swatch applied to the toolbar button.

This is on Windows 7 sp1, 64-bit en-US with
Version: 4.5.0.0.alpha0+ (x64)
Build ID: 2302e9eb8a161abaf5899288b4e1c689f5a1ff07
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-03-31_23:15:41
Locale: en_US

and on Linux
Version: 4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55
Locale: en_US
Comment 6 tommy27 2016-04-16 07:22:55 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:22:33 UTC Comment hidden (obsolete)
Comment 8 Thomas Lendo 2018-01-10 19:59:09 UTC
Cannot reproduce with version 6.1.0.0.alpha0+
Build-ID: acb43c0b8efbfb841e7b40603d75a8432eb21f21
CPU-Threads: 4; BS: Linux 4.10; UI-Render: Standard; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-01-09_01:20:44
Comment 9 QA Administrators 2019-01-11 03:54:19 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug